Bug 196046 - [NEW PORT] textproc/py-qrcode: QR Code image generator
Summary: [NEW PORT] textproc/py-qrcode: QR Code image generator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: easy, needs-qa, patch-ready
Depends on:
Blocks:
 
Reported: 2014-12-17 02:20 UTC by kyuupichan
Modified: 2015-01-24 10:20 UTC (History)
1 user (show)

See Also:


Attachments
SHAR file of the new port (1.62 KB, text/plain)
2014-12-17 02:20 UTC, kyuupichan
no flags Details
SHAR file of the new port (1.77 KB, text/plain)
2014-12-17 08:53 UTC, kyuupichan
no flags Details
Output requested (9.01 KB, text/plain)
2014-12-17 08:54 UTC, kyuupichan
no flags Details
Unittest run output (247 bytes, text/plain)
2014-12-17 09:04 UTC, kyuupichan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kyuupichan 2014-12-17 02:20:34 UTC
Created attachment 150664 [details]
SHAR file of the new port

This module uses image libraries, Python Imaging Library (PIL) by
default, to generate QR Codes.

This package is a new dependency of upgrading package finance/electrum to 2.0.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-17 02:55:52 UTC
Thank you for your submission!

For QA, please attach:

* portlint output
* poudriere testport output
* Python unit test output (if available)

Also, the current attachment is missing RUN_DEPENDS on PIL and six [1]

[1] https://github.com/lincolnloop/python-qrcode/blob/master/setup.py
Comment 2 kyuupichan 2014-12-17 08:53:19 UTC
Created attachment 150674 [details]
SHAR file of the new port

Updated SHAR file.
Comment 3 kyuupichan 2014-12-17 08:54:26 UTC
Created attachment 150675 [details]
Output requested

Output of portlint and make stage && make check-plist && make stage-qa && make package as requested
Comment 4 kyuupichan 2014-12-17 09:04:09 UTC
Created attachment 150676 [details]
Unittest run output

Unittest output
Comment 5 kyuupichan 2015-01-23 10:03:26 UTC
Hi - is there anything else, or can this be committed now please?
Comment 6 Johannes Jost Meixner freebsd_committer 2015-01-24 07:37:48 UTC
I'll take it.
Comment 7 commit-hook freebsd_committer 2015-01-24 10:17:14 UTC
A commit references this bug:

Author: xmj
Date: Sat Jan 24 10:16:50 UTC 2015
New revision: 377786
URL: https://svnweb.freebsd.org/changeset/ports/377786

Log:
  textproc/py-qrcode: Add port

  This module uses image libraries, Python Imaging Library (PIL) by
  default, to generate QR Codes.

  A Quick Response code is a two-dimensional pictographic code used
  for its fast readability and comparatively large storage capacity.
  The code consists of black modules arranged in a square pattern on
  a white background. The information encoded can be made up of any
  kind of data (e.g., binary, alphanumeric, or Kanji symbols)

  WWW: https://github.com/lincolnloop/python-qrcode

  PR:		196046
  Differential Revision:	https://reviews.freebsd.org/D1631
  Submitted by:	kyuupichan@gmail.com
  Approved by:	koobs (mentor)

Changes:
  head/textproc/Makefile
  head/textproc/py-qrcode/
  head/textproc/py-qrcode/Makefile
  head/textproc/py-qrcode/distinfo
  head/textproc/py-qrcode/pkg-descr
Comment 8 Johannes Jost Meixner freebsd_committer 2015-01-24 10:20:44 UTC
Committed, with minor changes. Thanks!